NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Facet.FacetedBodyCollection Class Reference

Represents a collection of faceted bodies in a part More...

Inheritance diagram for NXOpen.Facet.FacetedBodyCollection:
NXOpen.TaggedObjectCollection NXOpen.Utilities.NXRemotableObject IEnumerable IMessageSink

Public Types

enum  Type { Nx, Jt }
 Specifies the type of facets created when copying or converting faceted bodies More...
 

Public Member Functions

unsafe void Convert (NXOpen.Facet.FacetedBody fromBody, NXOpen.Facet.FacetedBodyCollection.Type toFacetType)
 Converts the internal representation of this faceted body to the specified type. More...
 
unsafe NXOpen.Facet.FacetedBody Copy (NXOpen.Facet.FacetedBody fromBody, NXOpen.Part toPart, NXOpen.Facet.FacetedBodyCollection.Type toFacetType)
 Copies a faceted body and optionally changes the internal representation to the given type (This is only valid for JT to NX copy) More...
 
unsafe
NXOpen.Facet.BestFitAlignBuilder 
CreateBestFitAlignBuilder ()
 Creates a NXOpen.Facet.BestFitAlignBuilder More...
 
unsafe
NXOpen.Facet.BridgeFacetBodyBuilder 
CreateBridgeFacetBodyBuilder ()
 Creates a NXOpen.Facet.BridgeFacetBodyBuilder More...
 
unsafe
NXOpen.Facet.DecimateFacetBodyBuilder 
CreateDecimateFacetBodyBuilder ()
 Creates a NXOpen.Facet.DecimateFacetBodyBuilder More...
 
unsafe
NXOpen.Facet.ExtrudeFacetBodyBuilder 
CreateExtrudeFacetBodyBuilder ()
 Creates a NXOpen.Facet.ExtrudeFacetBodyBuilder More...
 
unsafe
NXOpen.Facet.ExtrudeProfileBuilder 
CreateExtrudeProfileBuilder ()
 Creates a NXOpen.Facet.ExtrudeProfileBuilder More...
 
unsafe void CreateFacetBody (NXOpen.Body[] solidBodies, out NXOpen.Facet.FacetedBody[] facetBodies, out int[] errorTable)
 Creates a JT NXOpen.Facet.FacetedBody using the default faceting tolerances. More...
 
unsafe void CreateFacetBodyFromFaces (NXOpen.Face[] solidFaces, out NXOpen.Facet.FacetedBody[] facetBodies, out int[] errorTable)
 Creates a JT NXOpen.Facet.FacetedBody using the default faceting tolerances. More...
 
unsafe
NXOpen.Facet.CurvatureBuilder 
CreateFacetCurvatureBuilder ()
 Create a NXOpen.Facet.CurvatureBuilder object. More...
 
unsafe
NXOpen.Facet.FeatureExtractionBuilder 
CreateFacetFeatureExtractionBuilder ()
 Create a NXOpen.Facet.FeatureExtractionBuilder object. More...
 
unsafe NXOpen.Facet.FillHoleBuilder CreateFillHoleBuilder ()
 Creates a NXOpen.Facet.FillHoleBuilder More...
 
unsafe
NXOpen.Facet.MergeFacetBodyBuilder 
CreateMergeFacetBodyBuilder ()
 Creates a NXOpen.Facet.MergeFacetBodyBuilder More...
 
unsafe
NXOpen.Facet.MultiPatchAlignmentBuilder 
CreateMultiPatchAlignmentBuilder ()
 Creates a NXOpen.Facet.MultiPatchAlignmentBuilder More...
 
unsafe
NXOpen.Facet.SewFacetBodyBuilder 
CreateSewFacetBodyBuilder ()
 Creates a NXOpen.Facet.SewFacetBodyBuilder More...
 
unsafe
NXOpen.Facet.SmoothFacetBodyBuilder 
CreateSmoothFacetBodyBuilder ()
 Creates a NXOpen.Facet.SmoothFacetBodyBuilder More...
 
unsafe
NXOpen.Facet.SnipFacetBodyBuilder 
CreateSnipFacetBodyBuilder ()
 Creates a NXOpen.Facet.SnipFacetBodyBuilder More...
 
unsafe
NXOpen.Facet.STLImportBuilder 
CreateSTLImportBuilder ()
 Creates a NXOpen.Facet.STLImportBuilder More...
 
unsafe
NXOpen.Facet.SubdivideFacetBodyBuilder 
CreateSubdivideFacetBodyBuilder ()
 Creates a NXOpen.Facet.SubdivideFacetBodyBuilder More...
 
unsafe void DeleteTemporaryFacesAndEdges ()
 Delete any temporary faces and edges on faceted bodies that may have been created in the specified part. More...
 
unsafe NXOpen.Facet.FacetedBody FindObject (string journalIdentifier)
 Finds the NXOpen.Facet.FacetedBody with the given identifier as recorded in a journal. More...
 
unsafe NXOpen.Facet.FacetedBody[] GetAssociatedFacetedBodies (NXOpen.Body solidBody, out int numberOfUnloadedFacetedBodies)
 Returns the loaded solid bodies associated with the argument faceted body. More...
 
NXOpen.Facet.FacetedBody[] ToArray ()
 Returns an array of NXOpen.Facet.FacetedBody objects. More...
 
- Public Member Functions inherited from NXOpen.TaggedObjectCollection
IEnumerator GetEnumerator ()
 Returns an enumerator that iterates through a collection. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObjectCollection
new void initialize ()
 <exclude> More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Properties

NXOpen.Facet.FacetModelingCollection FacetModelingCollection [get]
 Returns the FacetModelingCollection instance belonging to this part More...
 
Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of faceted bodies in a part

To obtain an instance of this class, refer to NXOpen.Part

Created in NX5.0.0

Member Enumeration Documentation

Specifies the type of facets created when copying or converting faceted bodies

Enumerator
Nx 

NX facet

Jt 

JT facet

Member Function Documentation

unsafe void NXOpen.Facet.FacetedBodyCollection.Convert ( NXOpen.Facet.FacetedBody  fromBody,
NXOpen.Facet.FacetedBodyCollection.Type  toFacetType 
)
inline

Converts the internal representation of this faceted body to the specified type.

This does not create a new body

Created in NX5.0.0

License requirements: None.

Parameters
fromBodyThe faceted body to convert
toFacetTypeTo facet type
unsafe NXOpen.Facet.FacetedBody NXOpen.Facet.FacetedBodyCollection.Copy ( NXOpen.Facet.FacetedBody  fromBody,
NXOpen.Part  toPart,
NXOpen.Facet.FacetedBodyCollection.Type  toFacetType 
)
inline

Copies a faceted body and optionally changes the internal representation to the given type (This is only valid for JT to NX copy)

Created in NX5.0.0

License requirements: None.

Parameters
fromBodyThe faceted body to copy
toPartPart to create the copy in
toFacetTypeTo facet type
Returns
New body
unsafe NXOpen.Facet.BestFitAlignBuilder NXOpen.Facet.FacetedBodyCollection.CreateBestFitAlignBuilder ( )
inline

Creates a NXOpen.Facet.BestFitAlignBuilder

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

Returns
unsafe NXOpen.Facet.BridgeFacetBodyBuilder NXOpen.Facet.FacetedBodyCollection.CreateBridgeFacetBodyBuilder ( )
inline

Creates a NXOpen.Facet.BridgeFacetBodyBuilder

Created in NX9.0.0

License requirements: studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")

Returns
unsafe NXOpen.Facet.DecimateFacetBodyBuilder NXOpen.Facet.FacetedBodyCollection.CreateDecimateFacetBodyBuilder ( )
inline

Creates a NXOpen.Facet.DecimateFacetBodyBuilder

Created in NX7.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Returns
unsafe NXOpen.Facet.ExtrudeFacetBodyBuilder NXOpen.Facet.FacetedBodyCollection.CreateExtrudeFacetBodyBuilder ( )
inline

Creates a NXOpen.Facet.ExtrudeFacetBodyBuilder

Created in NX9.0.0

License requirements: studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")

Returns
unsafe NXOpen.Facet.ExtrudeProfileBuilder NXOpen.Facet.FacetedBodyCollection.CreateExtrudeProfileBuilder ( )
inline

Creates a NXOpen.Facet.ExtrudeProfileBuilder

Created in NX9.0.0

License requirements: studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")

Returns
unsafe void NXOpen.Facet.FacetedBodyCollection.CreateFacetBody ( NXOpen.Body[]  solidBodies,
out NXOpen.Facet.FacetedBody[]  facetBodies,
out int[]  errorTable 
)
inline

Creates a JT NXOpen.Facet.FacetedBody using the default faceting tolerances.

The output facetBodies and errorTable arrays are the same size as the input nSolidBodies. The errorTable array provides information about any errors encountered when faceting bodies. Note that it is possible that faceted bodies with 0 facets are created (and returned in the facetBodies parameter). For this case, the errorTable will contain the UF_FACET_err_zero_facets_produced error. If there is an existing facet body it will get refaceted with the previous tolerance used to tessellate it . See NXOpen.Body.GetFacetedBody for ways to check for this situation.

Created in NX7.5.5

License requirements: adv_assemblies ("ADVANCED ASSEMBLIES")

Parameters
solidBodies
facetBodies
errorTable
unsafe void NXOpen.Facet.FacetedBodyCollection.CreateFacetBodyFromFaces ( NXOpen.Face[]  solidFaces,
out NXOpen.Facet.FacetedBody[]  facetBodies,
out int[]  errorTable 
)
inline

Creates a JT NXOpen.Facet.FacetedBody using the default faceting tolerances.

The output facetBodies and errorTable arrays are the same size as the input nSolidFaces. The errorTable array provides information about any errors encountered when faceting bodies. Note that it is possible that faceted bodies with 0 facets are created (and returned in the facetBodies parameter). For this case, the errorTable will contain the UF_FACET_err_zero_facets_produced error. If there is an existing facet body it will get refaceted with the previous tolerance used to tessellate it . See NXOpen.Body.GetFacetedBody for ways to check for this situation.

Created in NX8.5.0

License requirements: adv_assemblies ("ADVANCED ASSEMBLIES")

Parameters
solidFaces
facetBodies
errorTable
unsafe NXOpen.Facet.CurvatureBuilder NXOpen.Facet.FacetedBodyCollection.CreateFacetCurvatureBuilder ( )
inline

Create a NXOpen.Facet.CurvatureBuilder object.

Created in NX5.0.0

License requirements: None.

Returns
unsafe NXOpen.Facet.FeatureExtractionBuilder NXOpen.Facet.FacetedBodyCollection.CreateFacetFeatureExtractionBuilder ( )
inline

Create a NXOpen.Facet.FeatureExtractionBuilder object.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
unsafe NXOpen.Facet.FillHoleBuilder NXOpen.Facet.FacetedBodyCollection.CreateFillHoleBuilder ( )
inline

Creates a NXOpen.Facet.FillHoleBuilder

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Returns
unsafe NXOpen.Facet.MergeFacetBodyBuilder NXOpen.Facet.FacetedBodyCollection.CreateMergeFacetBodyBuilder ( )
inline

Creates a NXOpen.Facet.MergeFacetBodyBuilder

Created in NX9.0.0

License requirements: studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")

Returns
unsafe NXOpen.Facet.MultiPatchAlignmentBuilder NXOpen.Facet.FacetedBodyCollection.CreateMultiPatchAlignmentBuilder ( )
inline

Creates a NXOpen.Facet.MultiPatchAlignmentBuilder

Created in NX7.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Returns
unsafe NXOpen.Facet.SewFacetBodyBuilder NXOpen.Facet.FacetedBodyCollection.CreateSewFacetBodyBuilder ( )
inline

Creates a NXOpen.Facet.SewFacetBodyBuilder

Created in NX9.0.0

License requirements: studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")

Returns
unsafe NXOpen.Facet.SmoothFacetBodyBuilder NXOpen.Facet.FacetedBodyCollection.CreateSmoothFacetBodyBuilder ( )
inline

Creates a NXOpen.Facet.SmoothFacetBodyBuilder

Created in NX7.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Returns
unsafe NXOpen.Facet.SnipFacetBodyBuilder NXOpen.Facet.FacetedBodyCollection.CreateSnipFacetBodyBuilder ( )
inline

Creates a NXOpen.Facet.SnipFacetBodyBuilder

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Returns
unsafe NXOpen.Facet.STLImportBuilder NXOpen.Facet.FacetedBodyCollection.CreateSTLImportBuilder ( )
inline

Creates a NXOpen.Facet.STLImportBuilder

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling") OR nx_masterfem ("Finite Element Modeling")

Returns
unsafe NXOpen.Facet.SubdivideFacetBodyBuilder NXOpen.Facet.FacetedBodyCollection.CreateSubdivideFacetBodyBuilder ( )
inline

Creates a NXOpen.Facet.SubdivideFacetBodyBuilder

Created in NX7.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Returns
unsafe void NXOpen.Facet.FacetedBodyCollection.DeleteTemporaryFacesAndEdges ( )
inline

Delete any temporary faces and edges on faceted bodies that may have been created in the specified part.

Please note that this call will invoke an Update operation.

Created in NX5.0.2

License requirements: None.

override int NXOpen.Facet.FacetedBodyCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
inlineprotectedvirtual

Advances the enumerator to the next element of the collection.

Implements NXOpen.TaggedObjectCollection.

unsafe NXOpen.Facet.FacetedBody NXOpen.Facet.FacetedBodyCollection.FindObject ( string  journalIdentifier)
inline

Finds the NXOpen.Facet.FacetedBody with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Created in NX5.0.0

License requirements: None.

Parameters
journalIdentifierIdentifier of the faceted body you want
Returns
Faceted body with this identifier
unsafe NXOpen.Facet.FacetedBody [] NXOpen.Facet.FacetedBodyCollection.GetAssociatedFacetedBodies ( NXOpen.Body  solidBody,
out int  numberOfUnloadedFacetedBodies 
)
inline

Returns the loaded solid bodies associated with the argument faceted body.

Also returns the number of unloaded associated faceted bodies.

Created in NX5.0.0

License requirements: None.

Parameters
solidBodyThe body for which to get associated faceted bodies
Returns
Array of loaded associated faceted bodies
Parameters
numberOfUnloadedFacetedBodiesThe number of unloaded associated faceted bodies for this solids body
NXOpen.Facet.FacetedBody [] NXOpen.Facet.FacetedBodyCollection.ToArray ( )
inline

Returns an array of NXOpen.Facet.FacetedBody objects.

Property Documentation

NXOpen.Facet.FacetModelingCollection NXOpen.Facet.FacetedBodyCollection.FacetModelingCollection
get

Returns the FacetModelingCollection instance belonging to this part

Created in NX10.0.0

Tag NXOpen.Facet.FacetedBodyCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.